Subject: Re: [PATCH] gitweb: Document that gitweb deals with bare repositories

From: Jakub Narebski <[email-masked]>
Date: Fri, 15 May 2009 23:36:48 +0200

On Fri, 15 May 2009, Timur Tabi wrote:
> Jakub Narebski wrote:
> 
> > Does this explanation help?
> 
> Yes, it does, but I wish it weren't true.  I don't see why gitweb
> can't be enhanced to support non-bare repositories without using
> symlinks or other hackery.  

Actually the patch I have sent is not formulated as well as I wish.
That is why I didn't send it earlier (and I probably should have marked
it as RFC; still it is better than now).

Gitweb can deal with non-bare repositories. It is only that because 
gitweb is not interested in working area, it shows $GIT_DIR (path to 
repository itself) as name/path to repository. Therefore repo/.git
for non-bare repositories, because it is repository itself that matters.

> 
> To avoid the overhead of gitweb scanning all of my repositories for
> other respitories, I use a packages_list, which is automatically
> recreated whenever I add a new repo.  However, I think having to
> create a shadow bare repository with a cron job to keep it
> more-or-less update is wrong.    

If you use gitweb only for yourself, take a look at git-instaweb

If you provide access for others, i.e. if those repositories shown in 
gitweb are public repositories, it is much better to use bare 
repositories for that.

-- 
Jakub Narebski
Poland